Your message dated Sun, 29 May 2011 22:33:44 +0000
with message-id <e1qqoyk-0001tu...@franck.debian.org>
and subject line Bug#628257: fixed in ruby-netcdf 0.6.5-3
has caused the Debian Bug report #628257,
regarding ruby-netcdf: FTBFS: Header narray.h or narray_config.h is not found.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
628257: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628257
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: ruby-netcdf
Version: 0.6.5-2
Severity: serious
Tags: wheezy sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20110528 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules binary
> dh binary --buildsystem ruby --with ruby
>    dh_testroot -O--buildsystem=ruby
>    dh_prep -O--buildsystem=ruby
>    dh_installdirs -O--buildsystem=ruby
>    dh_auto_install -O--buildsystem=ruby
>   Entering dh_ruby --install
> install -d 
> /build/user-ruby-netcdf_0.6.5-2-amd64-eq1hPa/ruby-netcdf-0.6.5/debian/ruby-netcdf/usr/lib/ruby/vendor_ruby
> install -m644 lib/netcdf.rb 
> /build/user-ruby-netcdf_0.6.5-2-amd64-eq1hPa/ruby-netcdf-0.6.5/debian/ruby-netcdf/usr/lib/ruby/vendor_ruby/netcdf.rb
> install -m644 lib/netcdf_miss.rb 
> /build/user-ruby-netcdf_0.6.5-2-amd64-eq1hPa/ruby-netcdf-0.6.5/debian/ruby-netcdf/usr/lib/ruby/vendor_ruby/netcdf_miss.rb
> Building extension for ruby1.8 ...
> /usr/bin/ruby1.8 -I/usr/lib/ruby/vendor_ruby 
> /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb ruby-netcdf
> /usr/lib/ruby/vendor_ruby/1.8/rubygems/ext/builder.rb:51:in `run': extconf 
> failed: (Gem::InstallError)
> 
> /usr/bin/ruby1.8 extconf.rb
> checking for narray.h... no
> *** extconf.rb failed ***
> Could not create Makefile due to some reason, probably lack of
> necessary libraries and/or headers.  Check the mkmf.log file for more
> details.  You may need configuration options.
> 
> Provided configuration options:
>       --with-opt-dir
>       --without-opt-dir
>       --with-opt-include
>       --without-opt-include=${opt-dir}/include
>       --with-opt-lib
>       --without-opt-lib=${opt-dir}/lib
>       --with-make-prog
>       --without-make-prog
>       --srcdir=.
>       --curdir
>       --ruby=/usr/bin/ruby1.8
>       --with-narray-dir
>       --without-narray-dir
>       --with-narray-include
>       --without-narray-include=${narray-dir}/include
>       --with-narray-lib
>       --without-narray-lib=${narray-dir}/lib
>       --with-netcdf-dir
>       --without-netcdf-dir
>       --with-netcdf-include
>       --without-netcdf-include=${netcdf-dir}/include
>       --with-netcdf-lib
>       --without-netcdf-lib=${netcdf-dir}/lib
> ** configure error **  
>    Header narray.h or narray_config.h is not found. If you have these files 
> in 
>    /narraydir/include, try the following:
> 
>    % ruby extconf.rb --with-narray-include=/narraydir/include
> 
>       from 
> /usr/lib/ruby/vendor_ruby/1.8/rubygems/ext/ext_conf_builder.rb:16:in `build'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:62:in 
> `build_and_install'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:61:in 
> `chdir'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:61:in 
> `build_and_install'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:75:in 
> `build_all_extensions'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:72:in `each'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:72:in 
> `build_all_extensions'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:88
> /usr/bin/ruby1.8 extconf.rb
> checking for narray.h... no
> *** extconf.rb failed ***
> Could not create Makefile due to some reason, probably lack of
> necessary libraries and/or headers.  Check the mkmf.log file for more
> details.  You may need configuration options.
> 
> Provided configuration options:
>       --with-opt-dir
>       --without-opt-dir
>       --with-opt-include
>       --without-opt-include=${opt-dir}/include
>       --with-opt-lib
>       --without-opt-lib=${opt-dir}/lib
>       --with-make-prog
>       --without-make-prog
>       --srcdir=.
>       --curdir
>       --ruby=/usr/bin/ruby1.8
>       --with-narray-dir
>       --without-narray-dir
>       --with-narray-include
>       --without-narray-include=${narray-dir}/include
>       --with-narray-lib
>       --without-narray-lib=${narray-dir}/lib
>       --with-netcdf-dir
>       --without-netcdf-dir
>       --with-netcdf-include
>       --without-netcdf-include=${netcdf-dir}/include
>       --with-netcdf-lib
>       --without-netcdf-lib=${netcdf-dir}/lib
> ** configure error **  
>    Header narray.h or narray_config.h is not found. If you have these files 
> in 
>    /narraydir/include, try the following:
> 
>    % ruby extconf.rb --with-narray-include=/narraydir/include
> 
> /usr/lib/ruby/vendor_ruby/gem2deb.rb:27:in `run': [/usr/bin/ruby1.8 
> -I/usr/lib/ruby/vendor_ruby 
> /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb ruby-netcdf failed!] 
> (Gem2Deb::CommandFailed)
>       from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:114:in `install'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:112:in `each'
>       from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:112:in `install'
>       from /usr/bin/dh_ruby:55
>       from /usr/lib/ruby/1.8/optparse.rb:1267:in `call'
>       from /usr/lib/ruby/1.8/optparse.rb:1267:in `parse_in_order'
>       from /usr/lib/ruby/1.8/optparse.rb:1254:in `catch'
>       from /usr/lib/ruby/1.8/optparse.rb:1254:in `parse_in_order'
>       from /usr/lib/ruby/1.8/optparse.rb:1248:in `order!'
>       from /usr/lib/ruby/1.8/optparse.rb:1339:in `permute!'
>       from /usr/lib/ruby/1.8/optparse.rb:1360:in `parse!'
>       from /usr/bin/dh_ruby:59
> dh_auto_install: dh_ruby --install 
> /build/user-ruby-netcdf_0.6.5-2-amd64-eq1hPa/ruby-netcdf-0.6.5/debian/tmp 
> returned exit code 1
> make: *** [binary] Error 1

The full build log is available from:
   
http://people.debian.org/~lucas/logs/2011/05/28/ruby-netcdf_0.6.5-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lu...@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lu...@nussbaum.fr             GPG: 1024D/023B3F4F |



--- End Message ---
--- Begin Message ---
Source: ruby-netcdf
Source-Version: 0.6.5-3

We believe that the bug you reported is fixed in the latest version of
ruby-netcdf, which is due to be installed in the Debian FTP archive:

netcdf-ruby1.8-dbg_0.6.5-3_all.deb
  to main/r/ruby-netcdf/netcdf-ruby1.8-dbg_0.6.5-3_all.deb
netcdf-ruby1.8_0.6.5-3_all.deb
  to main/r/ruby-netcdf/netcdf-ruby1.8_0.6.5-3_all.deb
netcdf-ruby1.9.1-dbg_0.6.5-3_all.deb
  to main/r/ruby-netcdf/netcdf-ruby1.9.1-dbg_0.6.5-3_all.deb
netcdf-ruby1.9.1_0.6.5-3_all.deb
  to main/r/ruby-netcdf/netcdf-ruby1.9.1_0.6.5-3_all.deb
netcdf-ruby_0.6.5-3_all.deb
  to main/r/ruby-netcdf/netcdf-ruby_0.6.5-3_all.deb
ruby-netcdf-dbg_0.6.5-3_amd64.deb
  to main/r/ruby-netcdf/ruby-netcdf-dbg_0.6.5-3_amd64.deb
ruby-netcdf_0.6.5-3.debian.tar.gz
  to main/r/ruby-netcdf/ruby-netcdf_0.6.5-3.debian.tar.gz
ruby-netcdf_0.6.5-3.dsc
  to main/r/ruby-netcdf/ruby-netcdf_0.6.5-3.dsc
ruby-netcdf_0.6.5-3_amd64.deb
  to main/r/ruby-netcdf/ruby-netcdf_0.6.5-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwab...@gfd-dennou.org> (supplier of updated ruby-netcdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 30 May 2011 06:59:43 +0900
Source: ruby-netcdf
Binary: ruby-netcdf ruby-netcdf-dbg netcdf-ruby netcdf-ruby1.8 
netcdf-ruby1.8-dbg netcdf-ruby1.9.1 netcdf-ruby1.9.1-dbg
Architecture: source amd64 all
Version: 0.6.5-3
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Youhei SASAKI <uwab...@gfd-dennou.org>
Description: 
 netcdf-ruby - Ruby interface of netCDF library
 netcdf-ruby1.8 - Ruby interface of netCDF library
 netcdf-ruby1.8-dbg - Ruby interface of netCDF library
 netcdf-ruby1.9.1 - Ruby interface of netCDF library
 netcdf-ruby1.9.1-dbg - Ruby interface of netCDF library
 ruby-netcdf - Ruby interface of netCDF library
 ruby-netcdf-dbg - Ruby interface of netCDF library
Closes: 628257
Changes: 
 ruby-netcdf (0.6.5-3) unstable; urgency=low
 .
   * Drop libnarray-rubyX.X in Build-Depends
   * Change narray dir: archdir to vendorarchdir(Closes: Bug#628257)
Checksums-Sha1: 
 3dad4fe100c4af28f4f53a5733a7b95396e99a31 2171 ruby-netcdf_0.6.5-3.dsc
 2f6b922a8cc0e3bffd3cb6beab77d0ad33134369 4730 ruby-netcdf_0.6.5-3.debian.tar.gz
 e03bd52386d32d0cc993620d096e55ba7d7195a1 72258 ruby-netcdf_0.6.5-3_amd64.deb
 4ba9b9aad57dc6b88bcc749ed4f36600d1b4aac5 103712 
ruby-netcdf-dbg_0.6.5-3_amd64.deb
 ff6f17ae56daa735209d53a9c838d921167ae47c 8784 netcdf-ruby_0.6.5-3_all.deb
 bab7f06d025281da67f342611e0938c7fb9d439d 8788 netcdf-ruby1.8_0.6.5-3_all.deb
 ee651d8f48cfeaa412c8dbdb3dd6bb9b663cde65 8800 
netcdf-ruby1.8-dbg_0.6.5-3_all.deb
 b83ce4c22a1475e0f4b37559147380c5ac44bbe5 8792 netcdf-ruby1.9.1_0.6.5-3_all.deb
 c99af3c4a452dd87ce537b36453f160b15ffdc28 8800 
netcdf-ruby1.9.1-dbg_0.6.5-3_all.deb
Checksums-Sha256: 
 7389215db98a677d8c097581399cbbb6036cec125c1ada25b8b7a3f526f286fd 2171 
ruby-netcdf_0.6.5-3.dsc
 38b87821418bbb07e785f89ea9bb6f7e16bd8353c09aa42487d75aac4fa595a9 4730 
ruby-netcdf_0.6.5-3.debian.tar.gz
 b65ca681290a714c050739ee2bb8de319f20148e07b625a54c002a66766cdb05 72258 
ruby-netcdf_0.6.5-3_amd64.deb
 437db125cc5dbd7dd7b7873e7fb61757ef990831713716bee7e54d5cf855e505 103712 
ruby-netcdf-dbg_0.6.5-3_amd64.deb
 798d2d1684258cab7f7b3fabb307cfcc9a3ac73ad6fe96c072e23d5681d76a24 8784 
netcdf-ruby_0.6.5-3_all.deb
 39789c654784d62ce8f91cd5c91e0f53153a1e939192c02ae80f37e3b75c2edf 8788 
netcdf-ruby1.8_0.6.5-3_all.deb
 8c64e394d89d70e9774a16375b79f71b4c28cf16b36557ab8b8821d4e3c6bdd5 8800 
netcdf-ruby1.8-dbg_0.6.5-3_all.deb
 c3781fc0ba0e2749cfdc644500674c801c7999535df2ccdea63a8d2a4ae8307a 8792 
netcdf-ruby1.9.1_0.6.5-3_all.deb
 f41dc986c6f1552e14d9c4448002b3a4a4b6c451ffc198a5fc823c36dabd114b 8800 
netcdf-ruby1.9.1-dbg_0.6.5-3_all.deb
Files: 
 b9b4e3b42a29cd911dc105930b79f7df 2171 ruby optional ruby-netcdf_0.6.5-3.dsc
 fc9ee52509d22a85444fb3790cea3ee1 4730 ruby optional 
ruby-netcdf_0.6.5-3.debian.tar.gz
 4e28d7be6f84f672c4cdb0b627dd54f9 72258 ruby optional 
ruby-netcdf_0.6.5-3_amd64.deb
 ffe9e82f4b05ee5f204684cf1c84b656 103712 debug extra 
ruby-netcdf-dbg_0.6.5-3_amd64.deb
 79fff9eef64e373c52a52686ef0631f0 8784 oldlibs optional 
netcdf-ruby_0.6.5-3_all.deb
 fcc5dd6bf3cd90f3ec785d99cdb6c624 8788 oldlibs optional 
netcdf-ruby1.8_0.6.5-3_all.deb
 8cf238c7cd2679b63a1414b060c541e1 8800 oldlibs extra 
netcdf-ruby1.8-dbg_0.6.5-3_all.deb
 cb232eefa8974ae37e7ba5e34e6fa203 8792 oldlibs optional 
netcdf-ruby1.9.1_0.6.5-3_all.deb
 927b420e476f2d82ab3cbf15d2e156b6 8800 oldlibs extra 
netcdf-ruby1.9.1-dbg_0.6.5-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJN4sdEAAoJEJOU81SJHX4HDo8P/A+m2GjU05SMBlxVTgPzS+7/
KQtKFlHJe/6oPcKij+Iw3GGFoa9VLKH/ElhJfkbLoX+e3TdQbSx3INO2C0q9lBaU
LZvqeeEQK61cLBFzItyDoemy4WSvfzXQeTAfHFFdG5GF1kWAgJI0OzvjDMeOKTvr
xDlWqw0IOWrDAZQhNPw83Nrdj+y++l1rhx0WndhWCPZt8RTwQ6yp7LEySYMflDKT
ZOlu9TW3g2ncJz4CAM/fna5F8LDpsztagRBt3CaC930DXkD8nnhjlJ5d1NmuyYli
VaEtOys4h8Rud8Dc4uOxTAGOdF1DFWRwAtbvIACfZTnskVwToGmS90CSBcFt14Qn
Hl5mLY+qOY07pTYVy2q8aBg19LZ3urgyaKtzo4vitFM4qD5se2KCNJYqV/LZD1n2
2AZBQHHVW9FExXgZ245dNMS0r1dtvaYFYsriE8o3+QKa1+/1vaZlizCqeB1+SCQQ
2NdUBJ35QPyFbI3OOXIfXPxTqS59xnEP4b1UckWG/F7yuuUReN/T9aQOVNSwplzV
yX1Jcg7CkI49kUB2/kkI6caxQiclHBpM4g7jZ12tsrRKJIw5VRo6uUMFjbgUR5bO
RD6BlQyOnjPVJCm+71hbjTPZFfdPuo8f/Hb1t49Tai2Sh0iE3rXCFmocFMEsjZ1S
RexvBY2tCYte6w7hNvbZ
=+C2k
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to